spendHashes() Netscript Function
================================

.. warning:: This page contains spoilers for the game

.. js:function:: spendHashes(upgName, upgTarget)

    :RAM cost: 0 GB
    :param string upgName: Name of upgrade to spend hashes on. Must be an exact match
    :param string upgTarget: Object to which upgrade applies. Required for certain upgrades
    :returns: ``true`` if the purchase was successful.

    .. note:: This function is only applicable for Hacknet Servers (the upgraded version
              of a Hacknet Node).

    Spend the hashes generated by your Hacknet Servers on an upgrade.

    The name of the upgrade must be an exact match. The ``upgTarget`` argument
    is used for upgrades such as ``Reduce Minimum Security``, which applies to a
    specific server. In this case, the ``upgTarget`` argument must be the
    hostname of the server.

    Example:

    .. code:: javascript

        hacknet.spendHashes("Sell for Corporation Funds");
        hacknet.spendHashes("Increase Maximum Money", "foodnstuff");
